package com.ruoyi.system.service.taskService;

import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.system.domain.task.TaskEntity;

import java.util.List;

public interface TaskEntityService {
    /**
     * 根据条件分页查询任務列表
     *
     * @param taskEntity 任務信息
     * @return 任務信息集合信息
     */
    public List<TaskEntity> selectAdminTaskList(TaskEntity taskEntity);
    /**
     * 通过用户ID查询用户
     *
     * @param taskId 任务ID
     * @return 任务对象信息
     */
    public TaskEntity selectAdminTaskById(Long taskId);
    /**
     * 通过任务ID删除任务
     *
     * @param taskId 任务ID
     * @return 结果
     */
    public int deleteAdminTaskById(Long taskId);
    /**
     * 根据任务id修改任务信息
     *
     * @param taskEntity 任务信息
     * @return 结果
     */
    public int updateAdminTaskById(TaskEntity taskEntity);
    /**
     * 新增任务信息
     *
     * @param taskEntity 任务信息
     * @return 结果
     */
    public int insertAdminTask(TaskEntity taskEntity);

    /**
     * 校验任务名称是否唯一
     *
     * @param taskEntity 任务信息
     * @return 结果
     */
    public boolean checkTaskNameUnique(TaskEntity taskEntity);
    /**
     * 导入任务数据
     *
     * @param taskLists 任务数据列表
     * @param isUpdateSupport 是否更新支持，如果已存在，则进行更新数据
     * @param operName 操作人
     * @return 结果
     */
    public String importTaskData(List<TaskEntity> taskLists, Boolean isUpdateSupport, String operName,Long operId);

}

